from enum import Enum

from werkzeug.exceptions import Unauthorized


class ServiceErrorCode(Enum):

    Unknown = 0

    InvalidDependencies = 1
    InvalidData = 2
    NotFound = 3
    DataAlreadyExists = 4
    UnableToAdd = 5
    UnableToDelete = 6

    InvalidUser = 7

    ConnectionFailed = 8
    Timeout = 9
    MailError = 10

    Unauthorized = 11
    Forbidden = 12
